﻿using DataModels.Models;

namespace Contracts.BindingModels
{
    public class MachineBindingModel : IMachineModel
    {
        public int Id { get; set; }
        public int UserId { get; set; }
        public string Title { get; set; } = string.Empty;
        public string Country { get; set; } = string.Empty;
        public int ProductId { get; set; }
        public Dictionary<int, (IWorkerModel, int)> MachineWorker { get; set; } = new();
    }
}
