﻿using DataModels.Models;

namespace Contracts.BindingModels
{
    public class WorkerBindingModel : IWorkerModel
    {
        public int Id { get; set; }
        public int UserId { get; set; }
        public string Name { get; set; } = string.Empty;
        public DateTime Birthday { get; set; }
        public string Specialization { get; set; } = string.Empty;
        public double Salary { get; set; }
		public Dictionary<int, IWorkshopModel> WorkerWorkshop { get; set; } = new();
        public Dictionary<int, IMachineModel> WorkerMachine { get; set; } = new();
	}
}
