﻿using DataModels.Models;

namespace Contracts.BindingModels
{
    public class WorkshopBindingModel : IWorkshopModel
    {
        public int Id { get; set; }
        public int UserId { get; set; }
        public string Title { get; set; } = string.Empty;
        public string Address { get; set; } = string.Empty;
        public string Director { get; set; } = string.Empty;
        public int ProductionId { get; set; }
        public Dictionary<int, IWorkerModel> WorkshopWorker { get; set; } = new();
    }
}
