﻿using DataModels.Models;
using System.ComponentModel;

namespace Contracts.ViewModels
{
	public class MachineViewModel : IMachineModel
	{
		public int Id { get; set; }
		[DisplayName("Название станка")]
		public string Title { get; set; } = string.Empty;
		[DisplayName("Страна производитель")]
		public string Country { get; set; } = string.Empty;
		public int UserId { get; set; }
		public int ProductId { get; set; }
		public Dictionary<int, (IWorkerModel, int)>? WorkerMachines { get; set; }
	}
}
