﻿using DataModels.Models;
using System.ComponentModel;

namespace Contracts.ViewModels
{
	public class WorkshopViewModel : IWorkshopModel
	{
		public int Id { get; set; }
		[DisplayName("Название цеха")]
		public string Title { get; set; } = string.Empty;
		[DisplayName("Адрес цеха")]
		public string Address { get; set; } = string.Empty;
		[DisplayName("ФИО директора цеха")]
		public string Director { get; set; } = string.Empty;
		public int UserId { get; set; }
		public int ProductionId { get; set; }
		public Dictionary<int, (IWorkerModel, int)>? WorkerWorkshops { get; set; }
	}
}
