﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DatabaseImplement.Models
{
	public class DetailProduction
	{
		public int Id { get; set; }
		[Required]
		public int DetailId { get; set; }
		[Required]
		public int ProductionId { get; set; }
		[Required]
		public int Count { get; set; }

		public virtual Detail Detail { get; set; } = new();
		public virtual Production Production { get; set; } = new();
	}
}
