﻿using DataModels.Models;

namespace Contracts.BindingModels
{
    public class ProductBindingModel : IProductModel
    {
        public int Id { get; set; }
        public int UserId { get; set; }
        public string Name { get; set; } = string.Empty;
        public double Cost { get; set; }
        public Dictionary<int, (IDetailModel, int)> ProductDetails { get; set; } = new();
    }
}
