﻿using System.ComponentModel.DataAnnotations;

namespace DatabaseImplement.Models
{
	public class DetailProduct
	{
		public int Id { get; set; }
		[Required]
		public int DetailId { get; set; }
		[Required]
		public int ProductId { get; set; }
		[Required]
		public int Count { get; set; }
		public virtual Detail Detail { get; set; } = new();
		public virtual Product Product { get; set; } = new();
	}
}
